Skip to main content
System Management/Security Settings Interfaces/IP Blocklist/Allowlist
PUTIP Blocklist/AllowlistSince 3.5.1SynchronousAuth Required

Update IP Access Control Rule

Update IP Access Control Rule

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the resource. Uniquely identifies the resource

Body Fields

  • updateaccesscontrolruleObjectRequired

    updateaccesscontrolrule request body object.

    • nameString

      Resource name

    • descriptionString

      Detailed description of the resource

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. See error

    • codeStringRequired

      Error code number. A globally unique identifier for the error, e.g., SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field. Defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field. Defaults to null

    • causeErrorCodeRequired

      Root error. The source error that caused this error. Null if no root cause exists

  • inventoryAccessControlRuleInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the resource. Uniquely identifies the resource

    • nameStringRequired

      Resource name

    • descriptionStringRequired

      Detailed description of the resource

    • ruleStringRequired

      规则。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • strategyControlStrategyRequired

      See strategy

      • ACCEPTControlStrategyRequired

        接受。

      • REJECTControlStrategyRequired

        拒绝。

Endpoint

PUT/zstack/v1/login-control/access-control/rules/{uuid}/actions

/zstack/v1/login-control/access-control/rules/{uuid}/actions

Operation ID

UpdateAccessControlRule

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/login-control/access-control/rules/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateaccesscontrolrule":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "rule", "description": "this is rule description", "rule": "172.20.1.1", "strategy": "ACCEPT", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history